<?php
include ("../conexion.php");

//$cadena_busqueda=$_GET["cadena_busqueda"];

if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }

if ($cadena_busqueda<>"") {
	$array_cadena_busqueda=split("~",$cadena_busqueda);
	$cdgpro=$array_cadena_busqueda[1];
	$dscpro=$array_cadena_busqueda[2];
	$numnota=$array_cadena_busqueda[3];
	//$cboEstados=$array_cadena_busqueda[4];
	$fechainicio=$array_cadena_busqueda[5];
	$fechafin=$array_cadena_busqueda[6];;
} else {
	$cdgpro="";
	$dscpro="";
	$numnota="";
	//$cboEstados="";
	$vehpla="";
	$fechainicio="";
	$fechafin="";
}


?>
<html>
	<head>
		<title>Notas de Credito</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
         <script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script language="javascript">
	
				
	function imprimir() {

	var cdgpro=document.getElementById("cdgpro").value;
	var dscpro=document.getElementById("dscpro").value;
	var numnota=document.getElementById("numnota").value;			
	var fechainicio=document.getElementById("fechainicio").value;
	var fechafin=document.getElementById("fechafin").value;

	
	window.open("reporte_notas.php?cdgpro="+cdgpro+"&dscpro="+dscpro+"&numnota="+numnota+"&fechainicio="+fechainicio+"&fechafin="+fechafin);

		}

	
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function inicio() {
			document.getElementById("form_busqueda").submit();
		}
		
		function nueva_nota() {
			location.href="nueva_nota.php";
		}
		

		function buscar() {
			var cadena;
			cadena=hacer_cadena_busqueda();
			document.getElementById("cadena_busqueda").value=cadena;
			if (document.getElementById("iniciopagina").value=="") {
				document.getElementById("iniciopagina").value=1;
			} else {
				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			}
			document.getElementById("form_busqueda").submit();
		}
		
		function paginar() {
			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			document.getElementById("form_busqueda").submit();
		}
		
		function hacer_cadena_busqueda() {
			var cdgpro=document.getElementById("cdgpro").value;
			var dscpro=document.getElementById("dscpro").value;
			var numnota=document.getElementById("numnota").value;			
			var fechainicio=document.getElementById("fechainicio").value;
			var fechafin=document.getElementById("fechafin").value;
			var cadena="";
			cadena="~"+cdgpro+"~"+dscpro+"~"+numnota+"~"+fechainicio+"~"+fechafin+"~";
			return cadena;
			}
		
		function limpiar() {
			document.getElementById("form_busqueda").reset();
			buscar();
			
					}
		
		function abreVentana(){
			miPopup = window.open("ver_clientes2.php","miwin","width=700,height=650,scrollbars=yes");
			miPopup.focus();

		}
		
		function validarcliente(){
			var codigo=document.getElementById("cdgpro").value;
			miPopup = window.open("comprobarcliente_ini.php?cdgpro="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");
		}	
		
		
		function ceros(obj) {
		  numCeros = '00000'; // pon el nº de ceros que necesites
		  valor = obj.value;
		  valor = numCeros.substring(0,numCeros.length-valor.length)+valor;
		  obj.value = valor; 
		 buscar();
		}
		
		
				
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)

 function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fechainicio").value.split(/-/);
		parts.reverse();
		fechainicio=parts.join('-');
		
	  var parts = document.getElementById("fechafin").value.split(/-/);
		parts.reverse();
		fechafin=parts.join('-');
		
////////////////////////////////////////////// verifique que la fecha sea correcta ///////////////////////////	


 



	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fechainicio);
	 date2 = new Date(fechafin); 
		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	var f3 = new Date(date2);
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);
	f3.setHours(0,0,0,0);

////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fechainicio !=""){
		
		
		 var fechaArr = fechainicio.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
	 alert("la Fecha Inicial no puede ser mayor a la Actual ");
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	}

 }else{
  alert("Error fecha Inicial incorrecta favor verifique");
  document.getElementById("fechainicio").value="";
  document.getElementById("fechainicio").select();
 }
 
	}
	
	
	
	if (fechafin !=""){	
	
	 
  var fechaArr = fechafin.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 	
	
	if (f3.getTime() > f1.getTime()){
	 alert("la Fecha Final no puede ser mayor a la Actual ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechafin").select();;
	}
 
 
 }else{
  alert("Error fecha Final incorrecta favor verifique");
  document.getElementById("fechafin").value="";
  document.getElementById("fechafin").select();
 }
	

	}
	
	
	if (f2.getTime() > f3.getTime()){
	 alert("La Fecha Inicial no puede ser mayor a la Fecha Final ");
	document.getElementById("fechafin").value="";
	document.getElementById("fechainicio").value="";
	document.getElementById("fechainicio").select();
	
	}
	
	buscar();
	}
	
	
	
jQuery(function($){	
		$("#fechainicio").mask("99-99-9999");
		$("#fechafin").mask("99-99-9999");
		});

		
		


		</script>
	</head>
	<body onLoad="inicio()">
		<div id="">
			<div id="zonaVentanas">
				<div align="center">
				  <div id="" class="contenidoFactura">
				<form id="form_busqueda" name="form_busqueda" method="post" action="rejilla.php" target="frame_rejilla">
					<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>					
						<tr>
						  <td width="2%">&nbsp;</td>
							<td width="16%">&nbsp;</td>
						  <td colspan="3" rowspan="2"><input id="cdgpro" type="text" class="cajaPequena" NAME="cdgpro" maxlength="10"  value="<?php echo $cdgpro?>" onFocus="siguienteCampo ='dscpro';"  onChange="buscar()"> 
						   <img src="../img/Search_Male_User_Icon_32.png" width="32" height="32" onClick="abreVentana()" title="Buscar cliente" onMouseOver="style.cursor=cursor"> <img src="../img/Accept_Male_User_Icon_32.png" width="32" height="32" onClick="validarcliente()" title="Validar cliente" onMouseOver="style.cursor=cursor"></td>
						  <td colspan="2" rowspan="2"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor"><img src="../img/Recycle-Full-icon (3).png" width="48" height="48" border="0" onClick="limpiar()" onMouseOver="style.cursor=cursor"><img src="../img/HP_Printer_Icon_48.png" alt="Imprimir" width="48" height="48" title="Imprimir" onClick="imprimir()" onMouseOver="style.cursor=cursor"  border="0"/></td>
							<td width="14%"  align="center" rowspan="6"><img src="../img/retouren.png" width="95" height="83" border="0" onClick="nueva_nota()" onMouseOver="style.cursor=cursor"></td>
							<td width="1%" rowspan="2">&nbsp;</td>
							<td width="1%" rowspan="2" align="right"></td>
						</tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>Código</td>
					  </tr>
						<tr>
						  <td rowspan="3">&nbsp;</td>
							<td>Nombre</td>
							<td colspan="3"><input id="dscpro" name="dscpro" type="text" class="cajaGrande" maxlength="45"   value="<?php echo $dscpro?>" onFocus="siguienteCampo ='numnota';"  onChange="buscar()"></td>
							<td width="10%">Fecha Inicial</td>
							<td width="18%"><input id="fechainicio" type="text" class="cajaGrande" name="fechainicio" maxlength="10"  onFocus="siguienteCampo ='fechafin';"  style='text-align:center;' onChange="comprobar_fechas()" value="<?php echo $fechainicio?>" ></td>
							<td rowspan="3">&nbsp;</td>
						</tr>
						<tr>
						  <td>N. Nota de Credito </td>
						  <td colspan="3"><input id="numnota" type="text" class="cajaPequena" name="numnota" maxlength="15"  onChange="buscar()" value="<?php echo $numnota?>"  onFocus="siguienteCampo ='fechainicio';" >
					      <input id="vehpla" type="hidden" class="cajaPequena" name="vehpla" maxlength="15"  onChange="buscar()" value="<?php echo $vehpla?>"  onFocus="siguienteCampo ='cdgpro';" ></td>
						  <td>Fecha Final</td>
						  <td><input id="fechafin" type="text" class="cajaGrande" name="fechafin" maxlength="10" value="<?php echo $fechafin?>"  onFocus="siguienteCampo ='cdgpro';"  style='text-align:center;' onChange="comprobar_fechas()" ></td>
				      </tr>
						<tr>
						  <td>Tipo </td>
						  <td width="13%"><select id="combotipoaplicacion" name="combotipoaplicacion" onChange="buscar()" class="comboGrande"  onFocus="siguienteCampo ='kmsveh';">
                            <option value="" selected>TODAS</option>
                            <option value="1" >EFECTIVO</option>
                            <option value="2" >SALDO</option>
                            <option value="3" >FACTURA</option>
                          </select></td>
						  <td width="15%">&nbsp;</td>
						  <td width="10%">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td>&nbsp;</td>
				      </tr>
					</table>
					<div id="lineaResultado">
                      <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
                        <tr>
                          <td width="34%" align="left"><input id="filas" type="hidden" class="cajaPequena" name="filas" maxlength="5"  readonly>
                          </td>
                          <td width="48%">
                            <input id="totalnotas"  class="cajaPequena" type="hidden" name="totalnotas" maxlength="5" readonly>
                          </td>
                          <td width="18%" align="right">
                            <input  name="paginas" id="paginas" type="hidden" onChange="paginar()" maxlength="10" readonly>
                          </td>
                      </table>
		          </div>
			        <div id="frmResultado">
				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
							
							<td width="16%">N. NOTA </td>
							<td width="24%">N.FAC AFECTA </td>
							<td width="7%">FECHA </td>
							<td width="29%">CLIENTE </td>							
							<td width="17%">MONTO</td>
							<td width="7%">&nbsp;</td>
						</tr>
				</table>
                  
	</div>
				    <iframe width="98%" height="380" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                    <ilayer width="98%" height="60" id="frame_rejilla" name="frame_rejilla"></ilayer>
				    </iframe>
				    <input type="hidden" id="iniciopagina" name="iniciopagina">
				<input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
			  </form>
			 </div>
		  </div>
    </div>
		
	</body>
</html>
